#

API Docs for: 1.6.6
Show: Inherited Protected Private Deprecated

# d3plus.object Class

Defined in: `/Users/Dave/Sites/d3plus/src/init.coffee:131`

D3plus features a set of methods that relate to various object properties. These methods may be used outside of the normal constraints of the visualizations.

- Index
- Methods

## Item Index

### Methods

- d3plus.object.merge
- d3plus.object.validate

## Methods

### `d3plus.object.merge`

(

- `obj1`
- `obj2`

)
Object

Defined in `/Users/Dave/Sites/d3plus/src/object/merge.coffee:4`

Given any two objects, this method will merge the two objects together, returning a new third object. The values of the second object always overwrite the first.

#### Parameters:

- `obj1` Object

  The primary object.

- `obj2` Object

  The secondary object to merge into the first.

#### Returns:

Object:

### `d3plus.object.validate`

(

- `obj`

)
Boolean

Defined in `/Users/Dave/Sites/d3plus/src/object/validate.coffee:1`

This function returns true if the variable passed is a literal javascript keyed Object. It's a small, simple function, but it catches some edge-cases that can throw off your code (such as Arrays and `null`).

#### Parameters:

- `obj` Object

  The object to validate.

#### Returns:

Boolean: